Loading...
Searching...
No Matches
BALL::VIEW::CharmmConfigurationDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/charmmConfigurationDialog.h>`

Inheritance diagram for BALL::VIEW::CharmmConfigurationDialog:

## Public Slots

virtual void | resetOptions ()
void | accept ()
void | reject ()
void | applyTo (CharmmFF &charmm)
| apply the settings to a given CHARMM force field
void | chooseSolventFile ()
void | periodicBoundaryClicked ()

## Public Member Functions

| CharmmConfigurationDialog (QWidget *parent=NULL, const char *name="CharmmConfiguration")
| Constructor.
virtual | ~CharmmConfigurationDialog ()
| Destructor.
const String & | getFilename () const
Public Member Functions inherited from BALL::VIEW::PreferencesEntry
| PreferencesEntry ()
virtual | ~PreferencesEntry ()
virtual void | writePreferenceEntries (INIFile &inifile)
| Store the settings of all registered objects.
virtual void | readPreferenceEntries (const INIFile &inifile)
| Restore the settings of all registered objects.
void | setINIFileSectionName (const String &name)
| Set the name for the section in the INIFile.
const String & | getINIFileSectionName () const
| Get the name for the section in the INIFile.
void | setWidgetStackName (const String &name)
StackPages & | getStackPages ()
| Return all pages, that are to be shown in a parent QStackedWidget.
void | setWidgetStack (QStackedWidget *stack)
virtual void | showStackPage (Position nr)
| Show the specified page in the QStackedWidget.
virtual void | showStackPage (QWidget *widget)
| Show the specified page in the QStackedWidget.
virtual Position | currentStackPage () const
| Get the currently shown page in the QStackedWidget.
virtual void | restoreDefaultValues (bool all=false)
| Set all registered objects to their default values.
virtual void | storeValues ()
virtual void | restoreValues (bool all=false)
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual bool | setValueAllowed (QObject *)
| Allows to prevent restoring of widgets.

## Protected Slots

virtual void | browseParameterFiles ()

## Protected Member Functions

void | setCharmmFF (CharmmFF &charmm)
Protected Member Functions inherited from BALL::VIEW::PreferencesEntry
void | registerWidgets_ ()
void | registerObject_ (QObject *widget)
void | unregisterObject_ (QObject *widget)
BALL_DEPRECATED void | registerWidgetForHelpSystem_ (const QWidget *, const String &)
void | restoreValues_ (bool all, const ValueMap &map)
void | insertStackEntry_ (QWidget *, const String &name)
bool | isSupported_ (QObject &widget)
bool | getValue_ (const QObject *widget, String &value)
bool | setValue_ (QObject *widget, const String &value)

## Friends

class | MolecularStructure

## Additional Inherited Members

Public Types inherited from BALL::VIEW::PreferencesEntry
typedef std::list< std::pair< QWidget *, String > > | StackPages
Protected Types inherited from BALL::VIEW::PreferencesEntry
typedef HashMap< const QObject *, String > | ValueMap
Protected Attributes inherited from BALL::VIEW::PreferencesEntry
String | inifile_section_name_
HashSet< QObject * > | registered_objects_
ValueMap | default_values_
ValueMap | last_values_
QStackedWidget * | widget_stack_
StackPages | stack_pages_

## Detailed Description

Dialog for changing the options of the CHARMM forcefield

Definition at line 29 of file charmmConfigurationDialog.h.

## Constructor & Destructor Documentation

## CharmmConfigurationDialog()

BALL::VIEW::CharmmConfigurationDialog::CharmmConfigurationDialog | ( | QWidget * | parent = NULL,
|  | const char * | name = "CharmmConfiguration" )

Constructor.

## ~CharmmConfigurationDialog()

virtual BALL::VIEW::CharmmConfigurationDialog::~CharmmConfigurationDialog | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## accept

void BALL::VIEW::CharmmConfigurationDialog::accept | ( |  | ) |

slot

## applyTo

void BALL::VIEW::CharmmConfigurationDialog::applyTo | ( | CharmmFF & | charmm | ) |

slot

apply the settings to a given CHARMM force field

## browseParameterFiles

virtual void BALL::VIEW::CharmmConfigurationDialog::browseParameterFiles | ( |  | ) |

protected virtual slot

## chooseSolventFile

void BALL::VIEW::CharmmConfigurationDialog::chooseSolventFile | ( |  | ) |

slot

## getFilename()

const String & BALL::VIEW::CharmmConfigurationDialog::getFilename | ( |  | ) | const

## periodicBoundaryClicked

void BALL::VIEW::CharmmConfigurationDialog::periodicBoundaryClicked | ( |  | ) |

slot

## reject

void BALL::VIEW::CharmmConfigurationDialog::reject | ( |  | ) |

slot

## resetOptions

virtual void BALL::VIEW::CharmmConfigurationDialog::resetOptions | ( |  | ) |

virtual slot

## setCharmmFF()

void BALL::VIEW::CharmmConfigurationDialog::setCharmmFF | ( | CharmmFF & | charmm | ) |

protected

## Friends And Related Symbol Documentation

## MolecularStructure

friend class MolecularStructure

friend

Definition at line 34 of file charmmConfigurationDialog.h.